
## Version 1.3 (2024-06-01)

- Updated to MSDFgen 1.12
- Switched to vcpkg as the primary dependency management system
- Removed Visual Studio solution and Makefile - now has to be generated by CMake
- CMake configuration overhaul, added installation configuration
- Switched to libpng as the primary PNG file encoder
- Added uniform grid mode (`-uniformgrid`) where atlas is laid out in a rectangular grid
- Added options to add extra padding around glyphs (`-empadding`, `-pxpadding` and similar)
- Added the possibility to specify asymmetrical distance range (`-aemrange`, `-apxrange`)
- Added `-pxalign` option which governs glyph alignment with the pixel grid
- Added `-allglyphs` option as alternative to explicit charset / glyphset
- Added `-chars` and `-glyphs` options to specify charset / glyphset directly on command line
- Added `-varfont` option to configure variables of variable fonts
- Added `-version` option to print program version
- Arguments with double dash (e.g. `--font`) now also accepted
- Minor fix to positioning for `-type hardmask`
- Errors are now reported to `stderr`
- TinyXML 2 no longer required as a dependency

### Version 1.2.2 (2021-09-06)

- CMake support
- Conan package manager support

### Version 1.2.1 (2021-07-09)

- Updated to MSDFgen 1.9.1

## Version 1.2 (2021-05-29)

- Updated to MSDFgen 1.9.
- Multiple fonts or font sizes can now be compiled into a single atlas.
- Added `-yorigin` option to choose if Y-coordinates increase from bottom to top or from top to bottom.
- Added `-coloringstrategy` option to select MSDF edge coloring heuristic.
- Shadron preview now properly loads floating-point image outputs in full range mode.

## Version 1.1 (2020-10-18)

- Updated to MSDFgen 1.8.
- Glyph geometry is now preprocessed by Skia to resolve irregularities which were previously unsupported and caused artifacts.
    - The scanline pass and overlapping contour mode is made obsolete by this step and has been disabled by default. The preprocess step can be disabled by the new `-nopreprocess` switch and the former enabled by `-scanline` and `-overlap` respectively.
    - The project can be built without the Skia library, forgoing the geometry preprocessing feature. This is controlled by the macro definition `MSDFGEN_USE_SKIA`.
- Glyphs can now also be loaded by glyph index rather than Unicode values. In the standalone version, a set of glyphs can be passed by `-glyphset` in place of `-charset`.
- Glyphs not present in the font should now be correctly skipped instead of producing a placeholder symbol.
- Added `-threads` argument to set the number of concurrent threads used during distance field generation.

### Version 1.0.1 (2020-03-09)

- Updated to MSDFgen 1.7.1.

## Version 1.0 (2020-03-08)

- Initial release.
